Subject: RE: [newtrk] An idea that is smaller than a WGS.....

From: <[email-masked]>
Date: Tue, 17 Feb 2004 12:28:52 +0200

Hi all,

> This idea seems different from WGS, not smaller.

I have updated the draft, by the way.  While we wait for it to be
announced, it can be found here:

http://www-nrc.nokia.com/sua/draft-loughney-what-standards-01.txt

I ran out of steam when updating this.  I think that discussing
the idea would be a good idea, however.  Also, I could take a shot
at making a sample webpage as an example of this proposals.  I think
it could still dovetail with the proposed work in NEWTRK quite nicely.

Anyone have a suggest on what would be a good example - just not 
TCP!

thanks,
John
 
> If I understand your note, it's the WGS version of John L's RFC status
> idea ("this is the PS, these are the changes we are working on for the
> next version, these are the reasons why the previous version was a bad
> idea").
> 
> Capturing what the WG thinks about the history of a draft would never
> be a bad thing, I think.
> 
> It could also accommodate WGs like multi6, which are discussing a
> bunch of individual IDs that aren't WG IDs yet, so you have to scrape
> the mailing list to find them all. When I look at WG agenda pages for
> each face-to-face meeting, I usually find drafts that I didn't realize
> were relevant, especially for WGs where I don't participate heavily on
> the mailing lists.
> 
> I would like to have the WGSs gathered in one place, for a couple of
> reasons -
> 
> - There are groups of protocols that come from multiple working groups
> but work together. I could visualize WGSs from MMUSIC, SIP, and
> SIPPING that are all needed to make some application work, for
> instance.
> 
> This would accommodate our often-stated preference for WGs with
> limited scope (the downside is, it's not always easy to figure out
> which WG has done something, so hitting a hundred WG pages
> periodically to see what's becoming "stable" doesn't work for me). It
> would be nice if people didn't have to hunt WGS down.
> 
> - We've just had an exchange on this mailing list that talked about
> criteria for WGS ("has it been reviewed by an ART team?"). This idea
> hasn't made it into a draft yet, so I don't know the details and don't
> have a sense of what the mailing list thinks, but if there are any
> criteria for WGS beyond the WG saying "this is a WGS", gathering the
> WGSs would make it easier to find the WGSs for verification that these
> criteria were met.
> 
> Visualize the ADs having to check the announcement archives every week
> to find out what WGSs have popped up in their WGs lately.
> 
> Spencer
> 
> ----- Original Message ----- 
> From: "Harald Tveit Alvestrand" <[email-masked]>
> To: <[email-masked]>
> Sent: Tuesday, February 10, 2004 12:57 AM
> Subject: [newtrk] An idea that is smaller than a WGS.....
> 
> 
> > this is slightly related to the idea pushed in
> > draft-loughney-which-standards, of separate publication of status of
> > documents....
> >
> > what if WGs were to keep a page easily findable, where they listed
> not just
> > the names of the drafts, but what they thought of them?
> >
> > Such as:
> >
> > draft-ietf-wurzel-hamster-09 is thought by the WG to be stable
> enough for
> > trial implementation and nits review. We want to wait a bit before
> we send
> > it to the IESG.
> >
> > draft-ietf-wurzel-rabbit-03 turned out to be a Bad Idea. We're not
> going to
> > follow up this further.
> >
> > draft-eenie-wurzel-daft-02, draft-meenie-wurzel-dumb-07 and
> > draft-moe-wurzel-deaf-04 are being considered as alternatives for WG
> > adoption for the deafmute protocol. External review of candidates
> with
> > respect to the criteria in draft-ietf-wurzel-requirements is very
> > important, but should be done before September 15, 2004.
> >
> > I believe some WGs do something this already - example pages and
> people
> > willing to speak from experience would be very welcome - perhaps we
> could
> > find an EXISTING practice to recommend?
> >
> >                     Harald
> >
> > .
> > newtrk
> resources:_____________________________________________________
> > web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
> > mhonarc archive:
> http://darkwing.uoregon.edu/~llynch/newtrk/index.html
> 
> .
> newtrk resources:_____________________________________________________
> web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
> mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html
> 

.
newtrk resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/newtrk.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/newtrk/index.html

---

From: [email-masked]
Date: Tue, 17 Feb 2004 14:19:43 +0100

John,
IMHO, this is definitely heading in the right direction.  I have however a
few comments (please consider during the meeting)

(by section)
1. 1 The problem(s)

Think you could also add (from [PROB] section 2.3):
<!--StartFragment-->
   o  The IETF does not possess effective formal mechanisms for inter-WG
      cooperation, coordination or communication, including the handling
      of dependencies between deliverables and processes specified in WG
      charters.
<!--EndFragment-->

The issue here is that once we have these status pages then the primary
"label" should to refer to the work on a WG would be the "draft-loughney
label" (DLL) for a specification that is separate from the RFC Number (and
separate from the I-D title).

6. IANA considerations
There is actual one issue here.  When you have a new protocol, that is, one
without any version of the protocol published as an RFC, we should probably
already create a "draft-loughney status page" (DLSP?) for it (for example
we would already have a rather long page for draft-ietf-pwe3-atm-encaps
with early references to draft-martini, draft-fischer etc.).  Creation of
such a page would probably be an active decision of the WG (actually this
would be a WGS decision!).  At this stage the "system" should then generate
a request to IANA for any associated allocations (rather than waiting until
RFC editor stage).  This implies that the "DLSP tables" should include a
"IANA allocations" column (Y/N) and hence a change in the working
procedures between IETF and IANA.

5. Security considerations
Likewise, we could add a "Security check" column to clearly indicate
whether or not a formal security review has been conducted.

References
Add reference to [PROB]!

- Alistair

                      <john.loughney@noki                                                                                                 
                      a.com>                      To:      <[email-masked]>, <[email-masked]>                            
                      Sent by:                    cc:                                                                                     
                      owner-newtrk@lists.         Subject: RE: [newtrk] An idea that is smaller than a WGS.....                           
                      uoregon.edu                                                                                                         

                      17/02/2004 11:28                                                                                                    
                      Please respond to                                                                                                   
                      john.loughney                                                                                                       

Hi all,

thanks,
John

.

.